ekg-core-0.1.1.7: Tracking of system metrics

Safe Haskell | Safe
Language | Haskell2010

System.Metrics.Distribution.Internal

Description

Internal module used to share implementation details between the family of ekg packages. DO NOT DEPEND ON THIS MODULE.

Synopsis

- data Stats = Stats {
  - mean :: !Double
  - variance :: !Double
  - count :: !Int64
  - sum :: !Double
  - min :: !Double
  - max :: !Double
  }

# Documentation

data Stats Source #

Distribution statistics

Constructors

Stats |

Fields

- mean :: !Double

  Sample mean

- variance :: !Double

  Biased sample variance

- count :: !Int64

  Event count

- sum :: !Double

  Sum of values

- min :: !Double

  Min value seen

- max :: !Double

  Max value seen

#### Instances

Instances details

Eq Stats Source # |
Instance details Defined in System.Metrics.Distribution.Internal Methods (==) :: Stats -> Stats -> Bool (/=) :: Stats -> Stats -> Bool
Show Stats Source # |
Instance details Defined in System.Metrics.Distribution.Internal Methods showsPrec :: Int -> Stats -> ShowS show :: Stats -> String showList :: [Stats] -> ShowS